summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-06-15 09:04:21 +0000
committerJim Meyering <jim@meyering.net>2005-06-15 09:04:21 +0000
commit39b87363ae7741512b191a3d1b1c341e826fd7c2 (patch)
tree24bb1682667827e8355a59a4938a5cdf6072552f /tests
parentec5b4733d8cca145ae7c296353e565a18c64efea (diff)
downloadcoreutils-39b87363ae7741512b191a3d1b1c341e826fd7c2.tar.xz
Ensure that each `-d'-specified directory is created.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/basic-13
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 66a8e64e1..07d10debd 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -64,5 +64,8 @@ test "$1" = -r-xr-xr-x || fail=1
ginstall -d . || fail=1
ginstall -d newdir || fail=1
ginstall -d newdir1 newdir2 newdir3 || fail=1
+test -d newdir1 || fail=1
+test -d newdir2 || fail=1
+test -d newdir3 || fail=1
(exit $fail); exit $fail